<div th:replace="shared/header"></div>


<div id="table-id" th:include="${viewPath}+ '/table'"></div>

<div th:include="${viewPath}+ '/clients-components/form-dialog'"></div>
<div th:include="${viewPath}+ '/clients-components/delete-formdialog'"></div>


<div th:replace="shared/footer"></div>

<script>
  function loadTable() {
    $.get('/' + pathUri + "/table", function (data) {
      $('#table-id').html(data);
    })
  }

  $(document).ready(function () {
    $('#table-id').on('click', '.create-class', function () {
      var $dialog = $('#form-dialog');
      $dialog.modal();
      $dialog.find('#page-title').html('Create ' + pageTitle);
      $('input').val('');
      $('input[type=checkbox]').attr('checked', false).val(1);
      $('input[name=id]').val(0);
      $('input[name=_csrf]').val($csrf);
      return false;
    });

    //for edit
    $('#table-id').on('click', '.edit-class', function () {
      var $id = $(this).attr('rel');
      $.getJSON('/' + pathUri + '/json/' + $id, function (data) {
        $('input[name=id]').val(data.id)
        $('input[name=name]').val(data.name);
        $('input[name=address]').val(data.address);
        $('input[name=contact_no]').val(data.contact_no);
        $('input[name=email]').val(data.email);
        $('input[name=website]').val(data.website);
        $('input[name=modified_date]').val(data.modified_date);
        $('input[name=status]').attr('checked', data.status);
        $('input[name=_csrf]').val($csrf);
      })

      var $dialog = $('#form-dialog')
      $dialog.modal();
      $dialog.find('#page-title').html('Edit ' + pathUri);
      return false;
    });

    $('#table-id').on('click', '.delete-class', function () {
      var $this = $(this);
      var $id = $this.attr('rel');
      var $dialog = $('#delete-form-dialog');
      $dialog.find('#delete-form input[name=id]').val($id);
      $dialog.modal();
      //var $dialog=$('#delete-form-dialog').modal();
      return false;
    });

    $('#delete-form').on('submit', function () {
      var $id = $(this).find('input[name=id]').val();
      $.get('/' + pathUri + "/delete/" + $id, function (data) {
        var $dialog = $('#delete-form-dialog');
        $dialog.modal('hide');
        $.get('/' + pathUri + "/table", function (data) {
          $('#table-id').html(data);
        });
      });
      return false;
    });


    $('#app-form').on('submit', function () {
      $.post('/' + pathUri + '/json', $(this).serialize(),
        function (data) {
          if (data === 'success') {
            $('#form-dialog').modal('hide');
            $.get('/' + pathUri + '/table', function (data) {
              $('#table-id').html(data);
            });
          }
        });
      return false;
    });

  });
</script>